Bug 428248 - Redistributed flag not displayed in presentation buffer mode line
Redistributed flag not displayed in presentation buffer mode line
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: emacs-vm (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Underwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-10 06:15 EST by Michael Selway
Modified: 2008-01-22 10:53 EST (History)
0 users

See Also:
Fixed In Version: 8.0.7.522-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-22 10:30:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Selway 2008-01-10 06:15:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.10) Gecko/20071128 Fedora/2.0.0.10-2.fc7 Firefox/2.0.0.10

Description of problem:
When a message has been resent using the 'B' key (vm-resend-message), it is shown in the summary line as "redistributed".  However, this only works if vm is using the mail buffer itself to display the message: it doesn't work if vm chooses to show the message in a Presentation buffer.

This has been irritating me for years, and I think I've finally found the fault.  In vm-do-needed-mode-line-update in vm-folder.el, there are two lists of local variables which are copied into the presentation buffer and summary buffer (search for vm-ml-message-edited, for example).  These lists don't include vm-ml-message-redistributed, but I believe they should.

Version-Release number of selected component (if applicable):
emacs-vm-8.0.5.504-2.fc7

How reproducible:
Always


Steps to Reproduce:
1. resend a message (using the command bound to the B key)
2. look at the message - force it to be in a presentation buffer by, for example, requiring line-wrapping
3. It won't say "redistributed" in the mode line (this is the fault)
4. Switch to the mail folder buffer ("INBOX", typically)
5. That *will* have "redistributed" in the mode line (correctly)

Actual Results:


Expected Results:


Additional info:
Comment 1 Jonathan Underwood 2008-01-10 09:10:38 EST
OK, thanks for the report, I can see and reproduce the problem.

I'll see if I can fix this when I update the package to 8.0.7 at the weekend.
Comment 2 Jonathan Underwood 2008-01-13 13:35:41 EST
OK, have built updated packages and patched to try and fix the problem - testing
would be helpful if you had time. I have pushed them to the testing repos, where
they will appear in a few days, but you can pull the packages directly from koji
here:

For Fedora 7:
http://koji.fedoraproject.org/koji/buildinfo?buildID=31349

For Fedora 8:
http://koji.fedoraproject.org/koji/buildinfo?buildID=31348
Comment 3 Michael Selway 2008-01-13 14:55:46 EST
I'm running your new build and at first glance it looks good.  I'm a very active
VM user, so if there are any obvious problems they'll show up in the next day or
so.  If I don't post again, then it's all good.  Many thanks!
Comment 4 Fedora Update System 2008-01-15 17:53:57 EST
emacs-vm-8.0.7.522-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update emacs-vm'
Comment 5 Fedora Update System 2008-01-15 18:10:55 EST
emacs-vm-8.0.7.522-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update emacs-vm'
Comment 6 Fedora Update System 2008-01-22 10:30:38 EST
emacs-vm-8.0.7.522-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-01-22 10:53:14 EST
emacs-vm-8.0.7.522-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.